com.aliyun.svideosdk.common.struct.effect

## Interface IEffectRect

- All Known Implementing Classes:
    EffectImage, EffectSticker

      public interface IEffectRect

  Added in v3.27.0 The rect interface of effect bean

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `float` | `getHeightRatio()` Gets the height of this sticker relative to the screen resolution.
    `float` | `getRotation()` Get the radian of rotation of the caption
    `float` | `getWidthRatio()` Gets the width of this sticker relative to the screen resolution.
    `float` | `getXRadio()` Gets the x coordinate of the centroid of this sticker relative to the screen resolution.
    `float` | `getYRadio()` Gets the y coordinate of the centroid of this sticker relative to the screen resolution.
    `void` | `setHeightRatio(float heightRatio)` Sets the height of this sticker relative to the screen resolution.
    `void` | `setRotation(float radian)` Set the radian of rotation of the caption
    `void` | `setWidthRatio(float widthRatio)` Sets the width of this sticker relative to the screen resolution.
    `void` | `setXRadio(float xRatio)` Sets the x coordinate of the centroid of this sticker relative to the screen resolution.
    `void` | `setYRatio(float yRatio)` Sets the y coordinate of the centroid of this sticker relative to the screen resolution.

- - ### Method Detail

    - #### getXRadio

          float getXRadio()

      Gets the x coordinate of the centroid of this sticker relative to the screen resolution.
      Returns:
        The x coordinate. Valid values: [0, 1]

    - #### setXRadio

          void setXRadio(float xRatio)

      Sets the x coordinate of the centroid of this sticker relative to the screen resolution.
      Parameters:
        `xRatio` - The x coordinate. Valid values: [0, 1]

    - #### getYRadio

          float getYRadio()

      Gets the y coordinate of the centroid of this sticker relative to the screen resolution.
      Returns:
        The y coordinate. Valid values: [0, 1]

    - #### setYRatio

          void setYRatio(float yRatio)

      Sets the y coordinate of the centroid of this sticker relative to the screen resolution.
      Parameters:
        `yRatio` - The y coordinate. Valid values: [0, 1]

    - #### getWidthRatio

          float getWidthRatio()

      Gets the width of this sticker relative to the screen resolution.
      Returns:
        The width of this sticker. Valid values: [0, 1]

    - #### setWidthRatio

          void setWidthRatio(float widthRatio)

      Sets the width of this sticker relative to the screen resolution.
      Parameters:
        `widthRatio` - The width. Valid values: [0, 1]

    - #### getHeightRatio

          float getHeightRatio()

      Gets the height of this sticker relative to the screen resolution.
      Returns:
        The height of this sticker. Valid values: [0, 1]

    - #### setHeightRatio

          void setHeightRatio(float heightRatio)

      Sets the height of this sticker relative to the screen resolution.
      Parameters:
        `heightRatio` - The height. Valid values: [0, 1]

    - #### getRotation

          float getRotation()

      Get the radian of rotation of the caption
      Returns:
        radian

    - #### setRotation

          void setRotation(float radian)

      Set the radian of rotation of the caption
      Parameters:
        `radian` -